<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/soc/src/soc.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_9b3c509d59256edccfca8ec85704cf01.html">soc</a></li><li class="navelem"><a class="el" href="dir_090532b6fb69622f839b5febf7432487.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">soc.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the SOC Driver.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/MemoryP.h&gt;</code><br />
<code>#include &lt;<a class="el" href="soc_8h.html">ti/drivers/soc/soc.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="soc__internal_8h.html">ti/drivers/soc/include/soc_internal.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa75384b710572f73c234d190fe67650c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa75384b710572f73c234d190fe67650c">SOC_waitAPLLCalibration</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB)</td></tr>
<tr class="separator:gaa75384b710572f73c234d190fe67650c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa26d3729aa788862cb047273f0a6a98c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa26d3729aa788862cb047273f0a6a98c">SOC_init</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad83a31f6e952bfc5a76950778fdd975e">SOC_Cfg</a> *ptrCfg, int32_t *errCode)</td></tr>
<tr class="separator:gaa26d3729aa788862cb047273f0a6a98c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b33eeda1d9b88bdc33293cb4ed6a4d4"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6b33eeda1d9b88bdc33293cb4ed6a4d4">SOC_unhaltBSS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga6b33eeda1d9b88bdc33293cb4ed6a4d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga052c0a5972ca033528d14a0dfab89c8d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga052c0a5972ca033528d14a0dfab89c8d">SOC_haltBSS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga052c0a5972ca033528d14a0dfab89c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad382a98de3528e07f1d103c71e5f50d3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad382a98de3528e07f1d103c71e5f50d3">SOC_enableLVDS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gad382a98de3528e07f1d103c71e5f50d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga766c141327a83bde248c6ef1a44f9f22"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga766c141327a83bde248c6ef1a44f9f22">SOC_deinit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga766c141327a83bde248c6ef1a44f9f22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac70ccf967bb86e7bafb8d39c7c63d5b6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac70ccf967bb86e7bafb8d39c7c63d5b6">SOC_SPIOutputCtrl</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t spiInst, uint8_t enable, int32_t *errCode)</td></tr>
<tr class="separator:gac70ccf967bb86e7bafb8d39c7c63d5b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9531663baac82acd86aaa33f0c883df1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9531663baac82acd86aaa33f0c883df1">SOC_SystemISR</a> (uintptr_t arg)</td></tr>
<tr class="separator:ga9531663baac82acd86aaa33f0c883df1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac143e6c184eb01a7a50898feea1d83fe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac143e6c184eb01a7a50898feea1d83fe">SOC_registerSysIntListener</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7df25030ea9a68a3700d7de026cf4b30">SOC_SysIntListenerCfg</a> *ptrListenerCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac143e6c184eb01a7a50898feea1d83fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49aa10d1e8e7d13ab99d7265f2f6f9de"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga49aa10d1e8e7d13ab99d7265f2f6f9de">SOC_deregisterSysIntListener</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint32_t systemInterrupt, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a> listenerHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga49aa10d1e8e7d13ab99d7265f2f6f9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e34ea7f910437dcf299e4832fc83113"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1e34ea7f910437dcf299e4832fc83113">SOC_triggerWarmReset</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga1e34ea7f910437dcf299e4832fc83113"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:adb58ef7aa013aed55eb01396c12d88be"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga40305c7d9c333ec21d0581923b1558d1">SOC_HwAttrib</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc_8c.html#adb58ef7aa013aed55eb01396c12d88be">gSOCHwAttrib</a></td></tr>
<tr class="memdesc:adb58ef7aa013aed55eb01396c12d88be"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the global SOC hardware attributes which are defined for each supported SOC.  <a href="#adb58ef7aa013aed55eb01396c12d88be">More...</a><br /></td></tr>
<tr class="separator:adb58ef7aa013aed55eb01396c12d88be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the SOC Driver. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="adb58ef7aa013aed55eb01396c12d88be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga40305c7d9c333ec21d0581923b1558d1">SOC_HwAttrib</a> gSOCHwAttrib</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This is the global SOC hardware attributes which are defined for each supported SOC. </p>
<p>This is the global SOC hardware attributes which are defined for each supported SOC.</p>
<p>The structure describes the hardware attributes which is needed to initialize and setup the SOC Driver. This is defined for the XWR14xx device and should NOT be changed</p>
<p>This is the global SOC hardware attributes which are defined for each supported SOC.</p>
<p>The structure describes the hardware attributes which is needed to initialize and setup the SOC Driver. This is defined for the XWR16xx DSS and should NOT be changed</p>
<p>This is the global SOC hardware attributes which are defined for each supported SOC.</p>
<p>The structure describes the hardware attributes which is needed to initialize and setup the SOC Driver. This is defined for the XWR16xx MSS and should NOT be changed </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
